<?php
// Validate token
function validateToken($token)
{
    try {
        $decoded = json_decode(base64_decode($token), true);

        if (!isset($decoded['user_id'], $decoded['email'], $decoded['timestamp'])) {
            return false;
        }

        // Check if the token is expired (e.g., 1 hour validity)
        $expiryTime = 3600; // 1 hour in seconds
        if (time() - $decoded['timestamp'] > $expiryTime) {
            return false;
        }

        return $decoded; // Return the decoded token for further use
    } catch (Exception $e) {
        return false; // Invalid token
    }
}
